FilePropertyEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class FilePropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.FilePropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyEditor, java.util.EventListener

Direct Known Subclasses:
  DirectoryPropertyEditor, FDUPropertyEditor, FUPropertyEditor, MultiDirectoryPropertyEditor

    public class FilePropertyEditor

extends java.beans.PropertyEditorSupport
implements java.awt.event.ActionListener

A PropertyEditor that brings up a JFileChooser panel to select a file. A single file choice can be made, and only choices that reside on the local file system.

Field Summary
`protected javax.swing.JButton` | `button` The Component returned by getCustomEditor().
`protected javax.swing.JTextField` | `textField`

Constructor Summary
`FilePropertyEditor()` Create FilePropertyEditor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`protected java.lang.String` | `cleanUpName(java.lang.String name)` Change double backslashes to forward slash, OK for java world.
`java.lang.String` | `getAsText()` Implement PropertyEditor interface.
`java.lang.String` | `getButtonTitle()` Internal callback method that can be overridden by subclasses.
`java.awt.Component` | `getCustomEditor()` Returns an uneditable text area with a JButton that will bring up a JFileChooser dialog.
`javax.swing.JFileChooser` | `getFileChooser()`
`int` | `getFileSelectionMode()` Internal callback method that can be overridden by subclasses.
`java.lang.String` | `getLastLocation()`
`boolean` | `isMultiSelectEnabled()` Internal callback method that can be overridden by subclasses.
`boolean` | `isTextFieldEditable()` Internal callback method that can be overridden by subclasses.
`void` | `setValue(java.lang.Object someObj)` Implement PropertyEditor interface.
`boolean` | `supportsCustomEditor()` PropertyEditor interface.

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### button

    protected javax.swing.JButton button

  The Component returned by getCustomEditor().

### textField

    protected javax.swing.JTextField textField

Constructor Detail

### FilePropertyEditor

    public FilePropertyEditor()

  Create FilePropertyEditor.

Method Detail

### getButtonTitle

    public java.lang.String getButtonTitle()

  Internal callback method that can be overridden by subclasses.

  Returns:
    "Set" for FilePropertyEditor.

### isTextFieldEditable

    public boolean isTextFieldEditable()

  Internal callback method that can be overridden by subclasses.

  Returns:
    false for FilePropertyEditor.

### getFileSelectionMode

    public int getFileSelectionMode()

  Internal callback method that can be overridden by subclasses.

  Returns:
    JFileChooser.FILES_ONLY for FilePropertyEditor.

### isMultiSelectEnabled

    public boolean isMultiSelectEnabled()

  Internal callback method that can be overridden by subclasses.

  Returns:
    false for FilePropertyEditor.

### supportsCustomEditor

    public boolean supportsCustomEditor()

  PropertyEditor interface.

  Specified by:
    `supportsCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `supportsCustomEditor` in class `java.beans.PropertyEditorSupport`
  Returns:
    true

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### cleanUpName

    protected java.lang.String cleanUpName(java.lang.String name)

  Change double backslashes to forward slash, OK for java world.

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Returns an uneditable text area with a JButton that will bring up a JFileChooser dialog.

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `getCustomEditor` in class `java.beans.PropertyEditorSupport`
  Returns:
    JButton button

### getFileChooser

    public javax.swing.JFileChooser getFileChooser()

### setValue

    public void setValue(java.lang.Object someObj)

  Implement PropertyEditor interface.

  Specified by:
    `setValue` in interface `java.beans.PropertyEditor`
  Overrides:
    `setValue` in class `java.beans.PropertyEditorSupport`

### getAsText

    public java.lang.String getAsText()

  Implement PropertyEditor interface.

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `getAsText` in class `java.beans.PropertyEditorSupport`

### getLastLocation

    public java.lang.String getLastLocation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details